MaillyDocs

Check the inbound MX configuration

POST
/sender-domains/{id}/verify-inbound

Checks whether the highest-priority MX of the domain points to Mailly; on success inboundStatus=verified.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

id*string

Domain record ID

Response Body

Check result

application/json
  1. response
success*boolean
ready*boolean
domain*string
inboundStatus*string
expectedMx?
records?array<>
message*string
[key: string]?unknown
curl -X POST 'https://api.mailly.site/sender-domains/string/verify-inbound'
{  "success": true,  "ready": true,  "domain": "string",  "inboundStatus": "string",  "expectedMx": {    "property1": null,    "property2": null  },  "records": [    {      "property1": null,      "property2": null    }  ],  "message": "string",  "property1": null,  "property2": null}